# ClusterObject (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.data
Class ClusterObject

    java.lang.Object
      com.threerings.presents.dobj.DObject
          com.threerings.whirled.spot.data.ClusterObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable

    public class ClusterObject

extends com.threerings.presents.dobj.DObject
implements com.threerings.crowd.chat.data.SpeakObject

Used to dispatch chat in clusters.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject
`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`com.threerings.presents.dobj.OidList` `occupants` Tracks the oid of the body objects that occupy this cluster.
`static String` `OCCUPANTS` The field name of the `occupants` field.

Constructor Summary
`ClusterObject()`

Method Summary
`void` `addToOccupants(int oid)` Requests that `oid` be added to the `occupants` oid list.
`void` `applyToListeners(com.threerings.crowd.chat.data.SpeakObject.ListenerOp op)`
`void` `removeFromOccupants(int oid)` Requests that `oid` be removed from the `occupants` oid list.

Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, readField__oid, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which, writeField__oid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OCCUPANTS

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public static final String OCCUPANTS

  The field name of the `occupants` field.

  See Also:
    Constant Field Values

### occupants

    public com.threerings.presents.dobj.OidList occupants

  Tracks the oid of the body objects that occupy this cluster.

Constructor Detail

### ClusterObject

    public ClusterObject()

Method Detail

### applyToListeners

    public void applyToListeners(com.threerings.crowd.chat.data.SpeakObject.ListenerOp op)

  Specified by:
    `applyToListeners` in interface `com.threerings.crowd.chat.data.SpeakObject`

### addToOccupants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void addToOccupants(int oid)

  Requests that `oid` be added to the `occupants` oid list. The list will not change until the event is actually propagated through the system.

### removeFromOccupants

    @Generated(value="com.threerings.presents.tools.GenDObjectTask")
    public void removeFromOccupants(int oid)

  Requests that `oid` be removed from the `occupants` oid list. The list will not change until the event is actually propagated through the system.

Copyright © 2011. All Rights Reserved.